Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class ImplicationRelation

    java.lang.Object
      tesl.ImplicationRelation

Direct Known Subclasses:
  DelayedImplication, FilteredImplication, Implication, SustainedImplication

    public abstract class ImplicationRelation

extends java.lang.Object

Field Summary
`protected boolean` | `applied_now_`
`private Clock<?>[]` | `masters_`
`private Clock<?>` | `slave_`

Constructor Summary
`ImplicationRelation(Clock<?> slave, Clock<?>... masters)`

Method Summary
`boolean` | `apply()`
`abstract ImplicationBackupInterface` | `backup()`
`Clock<?>[]` | `getMasterClocks()`
`Clock<?>` | `getSlaveClock()`
`protected abstract boolean` | `induceTicks()`
`abstract void` | `restore(ImplicationBackupInterface bck)`
`void` | `startSolving()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### masters_

    private Clock<?>[] masters_

### slave_

    private Clock<?> slave_

### applied_now_

    protected boolean applied_now_

Constructor Detail

### ImplicationRelation

    public ImplicationRelation(Clock<?> slave,
                               Clock<?>... masters)

Method Detail

### getMasterClocks

    public Clock<?>[] getMasterClocks()

### getSlaveClock

    public Clock<?> getSlaveClock()

### startSolving

    public void startSolving()

### apply

    public boolean apply()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### induceTicks

    protected abstract boolean induceTicks()

### backup

    public abstract ImplicationBackupInterface backup()

### restore

    public abstract void restore(ImplicationBackupInterface bck)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD